SOURCE_DIR=$(BASE_DIR)/sources
BUILD_DIR=$(BASE_DIR)/work
INITRD_DIR=$(BASE_DIR)/initrd-rootfs
STAGING_DIR=$(BASE_DIR)/staging
SKELETON_DIR=$(BASE_DIR)/skeleton
OUTPUT_DIR=$(BASE_DIR)/deploy
PACKAGE_DIR=$(BASE_DIR)/packages
BIN_DIR=$(BASE_DIR)/bin

CC=gcc

# Get the last commit from our working environment
GITREV := $(shell git-rev-list HEAD --max-count=1 2> /dev/null)

# Figure out if any there are any oustanding changes  
GITLOCAL := $(shell git-diff-index --name-only HEAD 2> /dev/null | wc -l)

# Get the GCC version

GCCVER:=$(shell $(CC) --version | head -n 1 | awk '{print $$3}')
GCCMAJ:=$(word 1, $(subst ., ,$(GCCVER)))
GCCMIN:=$(word 2, $(subst ., ,$(GCCVER)))

# Do a bit of groking of the GCC params

GCCDIR:=$(shell $(CC) --print-search-dirs | grep install | awk '{print $$2}')
LIBGCC:=$(shell $(CC) $(LIBGCC_CFLAGS) -print-libgcc-file-name)

CFLAGS=-nostdinc -fpic -m64 -Os -march=x86-64 -isystem $(STAGING_DIR)/include \
-isystem $(GCCDIR)/include

STRIP=strip

# Borrowed from busybox
STRIPCMD := $(STRIP) -s --remove-section=.note --remove-section=.comment

LDFLAGS=-nostdlib -L$(STAGING_DIR)/lib -Wl,-rpath-link,$(STAGING_DIR)/lib \
-Wl,--dynamic-linker,/lib/ld-uClibc.so.0
LIBS =  $(STAGING_DIR)/lib/crt1.o -lc $(LIBGCC)

HOST_CC=gcc
HOST_CFLAGS=
HOST_LDFLAGS=

# WARNING!  This will override the GCC version check - this is unsuported
# and will probably cause your build to fail. 

IGNORE_GCC_VERSION=n

export CC CFLAGS LDFLAGS LIBS
