KEXEC_URL=http://www.xmission.com/~ebiederm/files/kexec/
KEXEC_SOURCE=kexec-tools-1.101.tar.gz
KEXEC_DIR=$(BUILD_DIR)/kexec-tools
KEXEC_SRC_DIR=$(KEXEC_DIR)/kexec-tools-1.101
KEXEC_STAMP_DIR=$(KEXEC_DIR)/stamps

$(SOURCE_DIR)/$(KEXEC_SOURCE):
	mkdir -p $(SOURCE_DIR)
	wget -P $(SOURCE_DIR) $(KEXEC_URL)/$(KEXEC_SOURCE)

$(KEXEC_STAMP_DIR)/.unpacked: $(SOURCE_DIR)/$(KEXEC_SOURCE)
	tar -C $(KEXEC_DIR) -zxf $(SOURCE_DIR)/$(KEXEC_SOURCE)
	touch $@	

$(KEXEC_STAMP_DIR)/.configured: $(KEXEC_STAMP_DIR)/.unpacked
	(cd $(KEXEC_SRC_DIR); ./configure \
	--prefix=$(STAGING_DIR)\
	--with-zlib=$(STAGING_DIR))

$(KEXEC_SRC_DIR)/objdir/build/lib/kexec-tools: $(KEXEC_STAMP_DIR)/.configured
	$(MAKE) -C $(KEXEC_SRC_DIR) \
	CFLAGS="-static"

$(INITRD_DIR)/sbin/kexec-tools: $(KEXEC_SRC_DIR)/objdir/build/lib/kexec-tools
	$(MAKE) -C $(KEXEC_SRC_DIR) install

$(KEXEC_STAMP_DIR):
	mkdir -p $@

kexec-tools: $(KEXEC_STAMP_DIR) $(INITRD_DIR)/sbin/kexec-tools

kexec-tools-clean:
	$(MAKE) -C $(KEXEC_SRC_DIR) clean
	rm -f $(KEXEC_SRC_DIR)/.config

kexec-tools-distclean:
	rm -rf $(KEXEC_DIR)/*

